# Amuse: amuse::EffectChorusImp< T > Class Template Reference

amuse::EffectChorusImp< T > Class Template Reference

`#include <EffectChorus.hpp>`

Inheritance diagram for amuse::EffectChorusImp< T >:
Collaboration diagram for amuse::EffectChorusImp< T >:

## Public Member Functions

| EffectChorusImp (uint32_t baseDelay, uint32_t variation, uint32_t period, double sampleRate)
void | applyEffect (T *audio, size_t frameCount, const ChannelMap &chanMap)
Public Member Functions inherited from amuse::EffectChorus
void | setBaseDelay (uint32_t baseDelay)
void | setVariation (uint32_t variation)
void | setPeriod (uint32_t period)

## Additional Inherited Members

Public Types inherited from amuse::EffectChorus
template<typename T >
using | ImpType = EffectChorusImp< T >

## Detailed Description

### template<typename T>
class amuse::EffectChorusImp< T >

Type-specific implementation of chorus effect

Definition at line 11 of file EffectChorus.hpp.

The documentation for this class was generated from the following file:

- include/amuse/EffectChorus.hpp